Bug 1282363 - (CVE-2015-5320) CVE-2015-5320 jenkins: Secret key not verified when connecting a slave (SECURITY-184)
CVE-2015-5320 jenkins: Secret key not verified when connecting a slave (SECUR...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20151111,repo...
: Security
Depends On:
Blocks: 1282375
  Show dependency treegraph
 
Reported: 2015-11-16 03:58 EST by Martin Prpič
Modified: 2016-03-23 05:12 EDT (History)
14 users (show)

See Also:
Fixed In Version: Jenkins 1.638, Jenkins 1.625.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-22 15:23:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2015-11-16 03:58:43 EST
The following flaw was found in Jenkins:

JNLP slave connections did not verify that the correct secret was supplied, which allowed malicious users to connect their own machines as slaves to Jenkins knowing only the name of the slave. This enables attackers to take over Jenkins (unless the slave-to-master security subsystem is enabled) or gain access to private data like keys and source code.

This issue allowos for several different attacks, compromising integrity, stability and confidentiality.

External References:

https://wiki.jenkins-ci.org/display/SECURITY/Jenkins+Security+Advisory+2015-11-11
Comment 1 Martin Prpič 2015-11-16 04:11:25 EST
Fixed in Fedora in:

jenkins-1.609.3-3.fc22
jenkins-1.625.2-2.fc23
jenkins-1.625.2-2.fc24
Comment 3 errata-xmlrpc 2016-01-26 14:17:55 EST
This issue has been addressed in the following products:

  RHEL 7 Version of OpenShift Enterprise 3.1

Via RHSA-2016:0070 https://access.redhat.com/errata/RHSA-2016:0070
Comment 4 errata-xmlrpc 2016-03-22 12:51:59 EDT
This issue has been addressed in the following products:

  Red Hat OpenShift Enterprise 2.2

Via RHSA-2016:0489 https://rhn.redhat.com/errata/RHSA-2016-0489.html

Note You need to log in before you can comment on or make changes to this bug.